import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const formSchema: FormSchema[] = [
  {
    field: 'file',
    component: 'Upload',
    label: '血缘编辑文件',
    colProps: { lg: 24, md: 24 },
    rules: [{ required: true, message: '请选择上传文件' }],
  },
];
export const columns: BasicColumn[] = [
  {
    title: '工作表名',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '编号',
    dataIndex: 'code',
    width: 120,
  },
  {
    title: '错误类型',
    dataIndex: 'type',
    width: 120,
  },
];
export const historyColumns: BasicColumn[] = [
  {
    title: '用户',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '编辑时间',
    dataIndex: 'date',
    width: 120,
  },
  {
    title: '上传文件',
    dataIndex: 'fileName',
    width: 120,
  },
  {
    title: '编辑结果',
    dataIndex: 'type',
    width: 120,
  },
];
export const SearchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'isKinship',
    component: 'Checkbox',
    label: '仅显示我上传的',
    colProps: { span: 8 },
    labelWidth: 120,
  },
];
