import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const formSchema: FormSchema[] = [
  {
    field: 'file',
    component: 'Upload',
    label: '文件上传',
    colProps: { lg: 24, md: 24 },
    rules: [{ required: true, message: '请选择上传文件' }],
  },
];
export const columns: BasicColumn[] = [
  {
    title: '工作表名',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '编号',
    dataIndex: 'code',
    width: 120,
  },
  {
    title: '错误类型',
    dataIndex: 'type',
    width: 120,
  },
];
export const formEditSchema: FormSchema[] = [
  {
    field: 'root',
    label: '源端连接',
    component: 'Select',
    componentProps: {
      options: [
        { label: 'v1', value: '1' },
        { label: 'v2', value: '2' },
        { label: 'v3', value: '3' },
      ],
    },
    colProps: { span: 12 },
  },
  {
    field: 'flag',
    label: '数据库选择',
    component: 'RadioGroup',
    componentProps: {
      options: [
        { label: '全部', value: '0' },
        { label: '自选', value: '1' },
      ],
    },
  },
  {
    field: 'dataBase',
    label: '',
    component: 'Select',
    componentProps: {
      options: [
        { label: '数据库1', value: '1' },
        { label: '数据库2', value: '2' },
        { label: '数据库3', value: '3' },
      ],
    },
    colProps: { span: 8 },
  },
  {
    field: 'path',
    label: '目标端连接',
    component: 'Select',
    componentProps: {
      options: [
        { label: 'v1', value: '1' },
        { label: 'v2', value: '2' },
        { label: 'v3', value: '3' },
      ],
    },
    colProps: { span: 12 },
  },
];
export const editColumns: BasicColumn[] = [
  {
    title: '文件名称',
    dataIndex: 'name',
    width: 120,
  },
];
export const SearchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    colProps: { span: 8 },
  },
];
export const detailColumns: BasicColumn[] = [
  {
    title: '文件名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '状态',
    dataIndex: 'status',
    width: 60,
  }
];
